Skip to main content
GET
/
v1
/
jettons
/
{address}
/
transactions
getJettonTransactions
curl --request GET \
  --url https://api.dyor.io/v1/jettons/{address}/transactions
import requests

url = "https://api.dyor.io/v1/jettons/{address}/transactions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dyor.io/v1/jettons/{address}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "time": "2023-11-07T05:31:56Z",
      "timeLt": "52226626000004",
      "hash": "7zWgejtXNKUqsrWwwgQdKYN3txlUTye7D5PRcsGbwRw=",
      "who": "0:0000000000000000000000000000000000000000000000000000000000000000",
      "whoFriendly": "<string>",
      "type": "TT_BUY",
      "counterpart": "0:f83f7d94d74b2736821abe8aba7183d3411f367b00233b6d1ea6282b59102ea7",
      "exchangeId": "dedust",
      "pool": "<string>",
      "amount": {
        "value": "1000500000",
        "decimals": 9
      },
      "counterpartAmount": {
        "value": "1000500000",
        "decimals": 9
      },
      "price": {
        "value": "1000500000",
        "decimals": 9
      }
    }
  ],
  "addressBook": {},
  "jettons": {},
  "next": "<string>"
}
{
"code": 3,
"message": "invalid value",
"details": []
}
{
"code": 5,
"message": "not found",
"details": []
}
{
"code": 8,
"message": "too many requests",
"details": []
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Path Parameters

address
string
required

Jetton address

Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz

Query Parameters

limit
integer<int64>

Default value: 20

Max value: 100

cursor
string

Cursor to paginate list

Should be set by value from response field next

who
string

Wallet address

Example: 0:934ceb2baa49d803a531cafc2f799c27a94759f9fa1b5637ddb1feaa758fdf5b

hash
string

Hash of transaction

Example: IO9IDQaNEDvltTsattGa4j16s3vrtABR90MrBVXURc4=

type
enum<string>[]

Type of transaction

Available options:
TT_BUY,
TT_SELL,
TT_LIQUIDITY_DEPOSIT,
TT_LIQUIDITY_WITHDRAW
counterpart
string

Jetton address

Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz

exchangeId
enum<string>
default:dedust

ID of the exchange that made the transaction

Available options:
dedust,
stonfi,
tonco
timeFrom
string<date-time>
timeTo
string<date-time>

Response

A successful response.

transactions
List of requested transactions · object[]
addressBook
Possible aliases for all raw addresses in response · object
jettons
Short metadata about jettons used in response · object
next
string

If the field is empty or not exists there's no next page